Culprit query: random

WebSearch Error: Traceback (most recent call last):
  File "/home/paarsig/paarsig/augmenter.py", line 2420, in _search_getwords
    parsed = asParser.parseString(unescaped_query)
  File "/home/paarsig/miniconda3/envs/py38/lib/python3.8/site-packages/pyparsing.py", line 1955, in parseString
    raise exc
  File "/home/paarsig/miniconda3/envs/py38/lib/python3.8/site-packages/pyparsing.py", line 3342, in parseImpl
    raise ParseException(instring, loc, self.errmsg, self)
pyparsing.ParseException: Expected {{{Re:('(en|de|pâ|fr|et|پا|v|bg|pos)') Suppress:(":") {Combine:({Re:('[^ ]+?[ $]') [Re:('[^ ]+?[ $]')]...}) | Re:('[^ ]+')}} : ...} | {Re:('(en|de|pâ|fr|et|پا|v|bg|pos)') Suppress:(":") {Combine:({Re:('[^ ]+?[ $]') [Re:('[^ ]+?[ $]')]...}) | Re:('[^ ]+')}}}, found 'r'  (at char 0), (line:1, col:1)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/paarsig/miniconda3/envs/py38/lib/python3.8/site-packages/pymongo/mongo_client.py", line 425, in __init__
    self._ensure_connected(True)
  File "/home/paarsig/miniconda3/envs/py38/lib/python3.8/site-packages/pymongo/mongo_client.py", line 1083, in _ensure_connected
    self.__ensure_member()
  File "/home/paarsig/miniconda3/envs/py38/lib/python3.8/site-packages/pymongo/mongo_client.py", line 957, in __ensure_member
    member, nodes = self.__find_node()
  File "/home/paarsig/miniconda3/envs/py38/lib/python3.8/site-packages/pymongo/mongo_client.py", line 1048, in __find_node
    raise AutoReconnect(', '.join(errors))
pymongo.errors.AutoReconnect: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/paarsig/paarsig/websearch.py", line 44, in 
    print(b64.b64encode(websearch(txt).replace('\\n', '
').encode('utf-8')).decode('utf-8')) File "/home/paarsig/paarsig/augmenter.py", line 2312, in websearch field_searched, field_searched_etym, words, scores = _search_getwords(query) File "/home/paarsig/paarsig/augmenter.py", line 2431, in _search_getwords words, scores = websearch_query(query, scores=True) File "/home/paarsig/paarsig/augmenter.py", line 2160, in websearch_query ret = search(e=lquery, p=stripvowels(query).replace('‌', ''), â=lquery[:100], d=query, f=query, File "/home/paarsig/paarsig/augmenter.py", line 1923, in search for w in get_entries(): File "/home/paarsig/paarsig/augmenter.py", line 1014, in get_entries dbconn = Connection('127.0.0.1', 27017) File "/home/paarsig/miniconda3/envs/py38/lib/python3.8/site-packages/pymongo/connection.py", line 238, in __init__ super(Connection, self).__init__( File "/home/paarsig/miniconda3/envs/py38/lib/python3.8/site-packages/pymongo/mongo_client.py", line 428, in __init__ raise ConnectionFailure(str(e)) pymongo.errors.ConnectionFailure: [Errno 111] Connection refused